%define name	celtx
%define version	1.0
%define release	%mkrel 2
%define Summary	Celtx : preproduction media application

%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	MPL-like
Group:		Office 
URL:		http://www.celtx.com
Source0:	http://www.celtx.com/download/%{name}-10-src.tar.bz2
Source1:	celtx-icons.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libIDL-devel
BuildRequires:  zip tcsh
BuildRequires:  libxft-devel
BuildRequires:	libxt-devel
BuildRequires:  gtk+2-devel >= 2.4.0
BuildRequires:  gnome-vfs2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:  krb-devel


%description
Celtx is the world's first fully integrated solution for media
pre-production and collaboration. It replaces old fashioned 'paper,
pen & binder' media creation with a digital approach to writing and
organizing that's more complete, simpler to work with, and easier
to share.

%prep
%setup -q -n mozilla

%build
cp mozconfig-nodebug-linux .mozconfig
echo "ac_add_options --enable-system-cairo" >>.mozconfig
make -f client.mk build

%install
%{__rm} -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/{mini,large}
tar -C $RPM_BUILD_ROOT%{_iconsdir} -jxf %{SOURCE1}
mv $RPM_BUILD_ROOT%{_iconsdir}/celtx-16.png $RPM_BUILD_ROOT%{_iconsdir}/mini/celtx.png
mv $RPM_BUILD_ROOT%{_iconsdir}/celtx-32.png $RPM_BUILD_ROOT%{_iconsdir}/celtx.png
mv $RPM_BUILD_ROOT%{_iconsdir}/celtx-48.png $RPM_BUILD_ROOT%{_iconsdir}/large/celtx.png
make -C ../objdir/celtx/installer
cp -a ../objdir/dist/celtx ${RPM_BUILD_ROOT}%{_libdir}/%{name}-%{version}
mv ${RPM_BUILD_ROOT}%{_libdir}/%{name}-%{version}/%{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
sed -i -e 's/local//g' ${RPM_BUILD_ROOT}%{_bindir}/%{name}

#xdg menu entry
install -d -m755 ${RPM_BUILD_ROOT}%{_datadir}/applications
cat > ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Celtx
Comment=Screenplay Editor
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office-Wordprocessors;
EOF

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(0755,root,root,0755)
%{_bindir}/*
%{_libdir}/%{name}-%{version}
%{_datadir}/*
%{_iconsdir}/*


%changelog
* Thu Jun 26 2008 Franck Villaume <fvill@mandriva.com> 1.0-2mdv2009.0
+ Revision: 229176
- update mkrel
- fix bug 41655

* Tue Jun 24 2008 Franck Villaume <fvill@mandriva.com> 1.0-1mdv2009.0
+ Revision: 228771
- new version 1.0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 05 2008 Franck Villaume <fvill@mandriva.com> 0.9.9.7-1mdv2009.0
+ Revision: 201413
- import mozilla-based app Celtx
- import celtx


